Subject: Re: [PATCHv2] commit: reword --author error message

From: Jeff King <[email-masked]>
Date: Mon, 26 Jan 2015 14:07:12 -0500

On Mon, Jan 26, 2015 at 04:48:33PM +0100, Michael J Gruber wrote:

> -	die(_("No existing author found with '%s'"), name);
> +	die(_("--author '%s': neither 'Name <email>' nor a match for an existing author"), name);

I had to add to the bikeshed, but I had to read this several times to
make sense of it. It is grammatically:

  X [is] neither Y nor Z

except that by eliding the verb ("is"), I somehow had trouble making
sense of Z ("a match...") as a noun.

I came up with:

  --author '%s': neither 'Name <email>' nor matches an existing author

only to see that it was suggested earlier in the thread as a predecessor
to this. ;)

I wonder if adding back in the missing verb, rather than a colon, would
also make more sense:

  --author '%s' is neither 'Name <email>' nor a match for an existing author

> BTW: How do you pull cc/msgid from the list into format-patch/send-email most effectively?
> (granted that I move away from gmane/nntp, which is likely)

Here's what I do:

  http://article.gmane.org/gmane.comp.version-control.git/262367

-Peff